package com.bjlt.spider.controller;

import com.bjlt.spider.entity.EmailEntity;
import com.bjlt.spider.service.IemailService;
import com.bjlt.spider.util.RespEntity;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@Controller
@Slf4j
@RequestMapping("/emailHandle")
public class EmailController {

    @Autowired
    private IemailService iemailService;

    @RequestMapping(value = "/sendSingle",method = RequestMethod.POST)
    public RespEntity sendEmailSingle(@RequestBody EmailEntity emailEntity){
       return  iemailService.sendEmailSingle(emailEntity);
    }

    @RequestMapping(value = "/sendBatch",method = RequestMethod.POST)
    public RespEntity sendEmailBatch(@RequestBody EmailEntity emailEntity){
        return  iemailService.sendEmailBatch(emailEntity);
    }

}
